package router

import (
	"github.com/gin-gonic/gin"
	"go-admin/app/admin/apis/basic"
	"go-admin/app/admin/middleware"
	jwt "go-admin/pkg/jwtauth"
)

func registerCashierRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	r := v1.Group("/cashier").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	r.POST("create", basic.CashierCreate)
	r.POST("edit", basic.CashierEdit)
	r.POST("delete", basic.CashierDelete)
	r.POST("list", basic.CashierList)
	r.POST("detail", basic.CashierDetail)
}
